Back to Woocommerce

System status

docs/apis/rest-api/v3/system-status.mdx

10.9.0-dev12.7 KB
Original Source

import Tabs from '@theme/Tabs'; import TabItem from '@theme/TabItem';

System status

The system status API allows you to view all system status items.

System status properties

AttributeTypeDescription
environmentobjectEnvironment. See System status - Environment properties READ-ONLY
databaseobjectDatabase. See System status - Database properties READ-ONLY
active_pluginsarrayActive plugins. READ-ONLY
themeobjectTheme. See System status - Theme properties READ-ONLY
settingsobjectSettings. See System status - Settings properties READ-ONLY
securityobjectSecurity. See System status - Security properties READ-ONLY
pagesarrayWooCommerce pages. READ-ONLY

System status - Environment properties

AttributeTypeDescription
home_urlstringHome URL. READ-ONLY
site_urlstringSite URL. READ-ONLY
versionstringWooCommerce version. READ-ONLY
log_directorystringLog directory. READ-ONLY
log_directory_writablebooleanIs log directory writable? READ-ONLY
wp_versionstringWordPress version. READ-ONLY
wp_multisitebooleanIs WordPress multisite? READ-ONLY
wp_memory_limitintegerWordPress memory limit. READ-ONLY
wp_debug_modebooleanIs WordPress debug mode active? READ-ONLY
wp_cronbooleanAre WordPress cron jobs enabled? READ-ONLY
wp_environment_typestringWordPress environment type. READ-ONLY
languagestringWordPress language. READ-ONLY
server_infostringServer info. READ-ONLY
php_versionstringPHP version. READ-ONLY
php_post_max_sizeintegerPHP post max size. READ-ONLY
php_max_execution_timeintegerPHP max execution time. READ-ONLY
php_max_input_varsintegerPHP max input vars. READ-ONLY
curl_versionstringcURL version. READ-ONLY
suhosin_installedbooleanIs SUHOSIN installed? READ-ONLY
max_upload_sizeintegerMax upload size. READ-ONLY
mysql_versionstringMySQL version. READ-ONLY
default_timezonestringDefault timezone. READ-ONLY
fsockopen_or_curl_enabledbooleanIs fsockopen/cURL enabled? READ-ONLY
soapclient_enabledbooleanIs SoapClient class enabled? READ-ONLY
domdocument_enabledbooleanIs DomDocument class enabled? READ-ONLY
gzip_enabledbooleanIs GZip enabled? READ-ONLY
mbstring_enabledbooleanIs mbstring enabled? READ-ONLY
remote_post_successfulbooleanRemote POST successful? READ-ONLY
remote_post_responsestringRemote POST response. READ-ONLY
remote_get_successfulbooleanRemote GET successful? READ-ONLY
remote_get_responsestringRemote GET response. READ-ONLY

System status - Database properties

AttributeTypeDescription
wc_database_versionstringWC database version. READ-ONLY
database_prefixstringDatabase prefix. READ-ONLY
maxmind_geoip_databasestringMaxMind GeoIP database. READ-ONLY
database_tablesarrayDatabase tables. READ-ONLY

System status - Theme properties

AttributeTypeDescription
namestringTheme name. READ-ONLY
versionstringTheme version. READ-ONLY
version_lateststringLatest version of theme. READ-ONLY
author_urlstringTheme author URL. READ-ONLY
is_child_themebooleanIs this theme a child theme? READ-ONLY
has_woocommerce_supportbooleanDoes the theme declare WooCommerce support? READ-ONLY
has_woocommerce_filebooleanDoes the theme have a woocommerce.php file? READ-ONLY
has_outdated_templatesbooleanDoes this theme have outdated templates? READ-ONLY
overridesarrayTemplate overrides. READ-ONLY
parent_namestringParent theme name. READ-ONLY
parent_versionstringParent theme version. READ-ONLY
parent_author_urlstringParent theme author URL. READ-ONLY

System status - Settings properties

AttributeTypeDescription
api_enabledbooleanREST API enabled? READ-ONLY
force_sslbooleanSSL forced? READ-ONLY
currencystringCurrency. READ-ONLY
currency_symbolstringCurrency symbol. READ-ONLY
currency_positionstringCurrency position. READ-ONLY
thousand_separatorstringThousand separator. READ-ONLY
decimal_separatorstringDecimal separator. READ-ONLY
number_of_decimalsintegerNumber of decimals. READ-ONLY
geolocation_enabledbooleanGeolocation enabled? READ-ONLY
taxonomiesarrayTaxonomy terms for product/order statuses. READ-ONLY

System status - Security properties

AttributeTypeDescription
secure_connectionbooleanIs the connection to your store secure? READ-ONLY
hide_errorsbooleanHide errors from visitors? READ-ONLY

List all system status items

This API helps you to view all the system status items.

http
GET /wp-json/wc/v3/system_status
<Tabs> <TabItem value="curl" label="cURL">
shell
curl https://example.com/wp-json/wc/v3/system_status \
	-u consumer_key:consumer_secret
</TabItem> <TabItem value="js" label="JavaScript">
javascript
WooCommerce.get( 'system_status' )
	.then( ( response ) => {
		console.log( response.data );
	} )
	.catch( ( error ) => {
		console.log( error.response.data );
	} );
</TabItem> <TabItem value="php" label="PHP">
php
<?php print_r($woocommerce->get('system_status')); ?>
</TabItem> <TabItem value="python" label="Python">
python
print(wcapi.get("system_status").json())
</TabItem> <TabItem value="ruby" label="Ruby">
ruby
woocommerce.get("system_status").parsed_response
</TabItem> <TabItem value="response" label="JSON Response">
json
{
	"environment": {
		"home_url": "http://example.com",
		"site_url": "http://example.com",
		"version": "3.0.0",
		"log_directory": "/var/www/woocommerce/wp-content/uploads/wc-logs/",
		"log_directory_writable": true,
		"wp_version": "4.7.3",
		"wp_multisite": false,
		"wp_memory_limit": 134217728,
		"wp_debug_mode": true,
		"wp_cron": true,
		"wp_environment_type": "production",
		"language": "en_US",
		"server_info": "Apache/2.4.18 (Ubuntu)",
		"php_version": "7.1.3-2+deb.sury.org~yakkety+1",
		"php_post_max_size": 8388608,
		"php_max_execution_time": 30,
		"php_max_input_vars": 1000,
		"curl_version": "7.50.1, OpenSSL/1.0.2g",
		"suhosin_installed": false,
		"max_upload_size": 2097152,
		"mysql_version": "5.7.17",
		"default_timezone": "UTC",
		"fsockopen_or_curl_enabled": true,
		"soapclient_enabled": true,
		"domdocument_enabled": true,
		"gzip_enabled": true,
		"mbstring_enabled": true,
		"remote_post_successful": true,
		"remote_post_response": "200",
		"remote_get_successful": true,
		"remote_get_response": "200"
	},
	"database": {
		"wc_database_version": "3.0.0",
		"database_prefix": "wp_",
		"maxmind_geoip_database": "/var/www/woocommerce/wp-content/uploads/GeoIP.dat",
		"database_tables": {
			"woocommerce_sessions": true,
			"woocommerce_api_keys": true,
			"woocommerce_attribute_taxonomies": true,
			"woocommerce_downloadable_product_permissions": true,
			"woocommerce_order_items": true,
			"woocommerce_order_itemmeta": true,
			"woocommerce_tax_rates": true,
			"woocommerce_tax_rate_locations": true,
			"woocommerce_shipping_zones": true,
			"woocommerce_shipping_zone_locations": true,
			"woocommerce_shipping_zone_methods": true,
			"woocommerce_payment_tokens": true,
			"woocommerce_payment_tokenmeta": true
		}
	},
	"active_plugins": [
		{
			"plugin": "woocommerce/woocommerce.php",
			"name": "WooCommerce",
			"version": "3.0.0-rc.1",
			"version_latest": "2.6.14",
			"url": "https://woocommerce.com/",
			"author_name": "Automattic",
			"author_url": "https://woocommerce.com",
			"network_activated": false
		}
	],
	"theme": {
		"name": "Twenty Sixteen",
		"version": "1.3",
		"version_latest": "1.3",
		"author_url": "https://wordpress.org/",
		"is_child_theme": false,
		"has_woocommerce_support": true,
		"has_woocommerce_file": false,
		"has_outdated_templates": false,
		"overrides": [],
		"parent_name": "",
		"parent_version": "",
		"parent_version_latest": "",
		"parent_author_url": ""
	},
	"settings": {
		"api_enabled": true,
		"force_ssl": false,
		"currency": "USD",
		"currency_symbol": "&#36;",
		"currency_position": "left",
		"thousand_separator": ",",
		"decimal_separator": ".",
		"number_of_decimals": 2,
		"geolocation_enabled": false,
		"taxonomies": {
			"external": "external",
			"grouped": "grouped",
			"simple": "simple",
			"variable": "variable"
		}
	},
	"security": {
		"secure_connection": true,
		"hide_errors": true
	},
	"pages": [
		{
			"page_name": "Shop base",
			"page_id": "4",
			"page_set": true,
			"page_exists": true,
			"page_visible": true,
			"shortcode": "",
			"shortcode_required": false,
			"shortcode_present": false
		},
		{
			"page_name": "Cart",
			"page_id": "5",
			"page_set": true,
			"page_exists": true,
			"page_visible": true,
			"shortcode": "[woocommerce_cart]",
			"shortcode_required": true,
			"shortcode_present": true
		},
		{
			"page_name": "Checkout",
			"page_id": "6",
			"page_set": true,
			"page_exists": true,
			"page_visible": true,
			"shortcode": "[woocommerce_checkout]",
			"shortcode_required": true,
			"shortcode_present": true
		},
		{
			"page_name": "My account",
			"page_id": "7",
			"page_set": true,
			"page_exists": true,
			"page_visible": true,
			"shortcode": "[woocommerce_my_account]",
			"shortcode_required": true,
			"shortcode_present": true
		}
	]
}
</TabItem> </Tabs>